Guides
Guides

How to retrieve a list of parking facilities

This resource retrieves a list of parking facilities.

Requests against this resource use the HTTP GET method. The search criteria are specified by means of query parameters, which must include a search geometry.

A search geometry can be one of:

  • prox – a circular area defined by the coordinates of its center and a radius.
  • corridor – a path defined as a set of points (latitude, longitude pairs) and a width.
  • bbox – a square defined by its top left latitude and longitude and its bottom right latitude and longitude.

Request Example

The code block below shows a facility request that uses proximity (prox) to define the search area:

curl GET 
https://parking-v2.cc.api.here.com/parking/facilities.json
?prox=50.70295,7.178353,5000
-H "Authorization: Bearer {YOUR_TOKEN}"

Request Parameters

The table below documents both mandatory and optional request parameters supported by this resource.

ParameterRequiredDescription
app_id - LegacyYesA-20 byte Base64 URL-safe encoded string used for the authentication of the client application. You must include an app_id and app_code with every request. For more information on authentication, see the Identity and Access Management Developer Guide.
app_code - LegacyYesA-20 byte Base64 URL-safe encoded string used for the authentication of the client application. You must include an app_id and app_code with every request. For more information on authentication, see the Identity and Access Management Developer Guide.
proxprox, bbox or corridor must be presentA circular search area defined by the latitude and longitude of its center (compliant with WGS 84) and an integer representing the radius of the area in meters, all separated by commas. For example, prox=52.5079549,13.5472861,5000 searches for parking facilities within 5km of latitude 52.50° N and 13.55 ° E, which is within Berlin.Radius can be a maximum of 200 km.
bboxprox, bbox or corridor must be presentBounding box defined by the latitude and longitude (compliant with WGS 84) of its top left and bottom right corners. The top left and bottom right pairs are separated by a semicolon and the latitude and longitude pairs are separated by commas. For example, one possible bounding box value is bbox=53.66033,9.6532373;52.5079549,13.5472861. The bounding box size (width and/or high) must be no larger than 400km.
corridorprox, bbox or corridor must be presentA strip defined as a semicolon-separated list of points (pairs of comma-separated latitude and longitude WGS 84 compliant values) For example,
corridor=52.51666,13.38333;52.13333,11.61666;53.56527,10.00138
specifies a journey from Berlin to Hamburg via Magdeburg. Maximum corridor area is 5000 km². Note that requests to the facilities resource can be a maximum of 4 kb in size in total. Since the corridor query parameter is the item that is most likely to contain the most information, a useful guideline is that this parameter can contain approximately 150 points (latitude/longitude pairs with an accuracy of 5 decimal points [for example, 11.37309]). Note that the amount of data you can include depends on the exact formulation of the request.
corridorwidthNoThe width of the corridor in meters. This parameter takes effect only if corridor is included in the request. The maximum corridor width is 20 km. Default: 5000 meters
arrivalNoExpected time arrival at the destination in UTC format according to ISO 8601. Note this parameter is mandatory for parking fee calculation. Example: 2015-04-02T15:40:00.000Z
durationNoEstimated parking duration in minutes. Min value: 1. Max value: 20160 (two weeks) Note this parameter is mandatory for parking fee calculation.
sortkeyNoCriteria for sorting a list of search results: The possible results are:
• distance
• name
• parking_space_free
• parking_space_open
• parking_space_total
Default: distance
sortorderNoThe sort order in the response.The possible results are:
• asc (ascending)
• desc (descending)
Default: asc
maxresultsNoThe maximum number of results a response can contain. This parameter can be used with the offset parameter in the query and HasMore in the response for pagination.
Default: 50
offsetNoA value specifying the index of the first result. The offset together with the "maxresults" value can be used to support a paging mechanism on search results. This parameter can be used with the maxresults parameter in the query and HasMore in the response for pagination.
Default: 0
hideNoThe comma-separated list of attribute values specifying which parking facilities must be filtered out from the result. If not specified then no filtering is applied to the result.
Possible values:
• customeronly

Response to this Request

For more information on the responses to requests against the facilities resource, see Parking Facilities Response.